package com.fr.plugin.db.redis.util;

import com.fr.design.border.UIRoundedBorder;
import com.fr.design.constants.UIConstants;
import com.fr.design.gui.syntax.ui.rsyntaxtextarea.RSyntaxTextArea;
import com.fr.design.gui.syntax.ui.rtextarea.RTextScrollPane;

import java.awt.*;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-18
 */
public class RedisDesignUtils {
    public static RTextScrollPane createConditionTextPane(RSyntaxTextArea editorPane, String type, int height) {
        editorPane.setSyntaxEditingStyle(type);
        RTextScrollPane sqlTextScrollPane = new RTextScrollPane(editorPane);
        sqlTextScrollPane.setBorder(new UIRoundedBorder(UIConstants.LINE_COLOR, 1, UIConstants.ARC));
        sqlTextScrollPane.setPreferredSize(new Dimension(680, height));
        sqlTextScrollPane.setLineNumbersEnabled(false);
        return sqlTextScrollPane;
    }
}
