package com.fr.plugin.db.redis.ui.value;

import com.fr.design.editor.ValueEditorPane;
import com.fr.design.editor.ValueEditorPaneFactory;
import com.fr.design.editor.editor.Editor;

public class IndexValuePaneFactory {

    /**
     * 创建带编辑器的ValueEditorPane
     *
     * @return 返回pane
     */
    public static ValueEditorPane createValueEditorPane() {
        return ValueEditorPaneFactory.createValueEditorPane(new Editor[]{
                new IntegerEditor(),
                new FormulaEditor()
        });
    }
}
